%define module  String-CRC32
%define name	perl-%{module}
%define version 1.4
%define release %mkrel 5

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl interface for cyclic redundency check generation
License: 	GPL or Artistic
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/String/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Buildrequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-5mdv2009.0
+ Revision: 224057
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.4-4mdv2008.1
+ Revision: 151364
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4-3mdv2008.0
+ Revision: 64826
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4-2mdv2008.0
+ Revision: 23318
- rebuild


* Sat Apr 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdk
- New release 1.4
- optimisations
- better source URL
- %%mkrel

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-1mdk
- New release 1.3
- spec cleanup
- better url

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.2-3mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-2mdk 
- rpmbuildupdate aware

* Wed Sep 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-1mdk
- 1.2

